/*======*/
/* reset */
/*======*/


* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Playfair Display", serif;
}

a {
  text-decoration: none;
  color: black;
}

ul {
  list-style: none;
}

/*======*/
/* root */
/*======*/
:root {
  --color-principal: #f8f9fa;
  --color-secondary: rgb(2, 3, 129);
  --color-three: #fcb900;
 
}
html {
  scroll-behavior: smooth;
}

/*======*/
/*tools*/
/*======*/



/*div*/
.section{
  width:100%;
  min-height: 80vh;


}

.container {
  width: 90vw;
  overflow-y: hidden;
  display: flex;
  flex-direction: column;
  
}

.title_section{
  color: var(--color-principal);
  font-size: 6rem;
  margin-top:3rem;
  margin-left: 5vw;
}


.paragraphe{
  margin-top: 15vh;
  width: 80%;
  font-size: 24px;

}


/*couleurs*/
.c_vert{
  color: #00d084;
}
.c_bleu{
  color: rgb(6, 147, 227);
}
.c_orange{
  color: #fcb900;
}
.c_mauve{
  color: rgb(155, 81, 224);
}
.c_bleu_ciel{
  color: rgb(13, 202, 240);
}

.highlight_vert {

  background: linear-gradient(
    transparent 60%,
   rgb(0, 208, 132,0.4) 60%
  );;
;
  font-weight: 600;
}

.highlight_bleu {

  background: linear-gradient(
    transparent 60%,
   rgba(6, 147, 227, 0.4) 60%
  );;
;
  font-weight: 600;
}

.highlight_orange {

  background: linear-gradient(
    transparent 60%,
   rgb(252, 185, 0,0.4) 60%
  );;
;
  font-weight: 600;
}

.highlight_mauve {

  background: linear-gradient(
    transparent 60%,
   rgb(155, 81, 224, 0.4) 60%
  );;
;
  font-weight: 600;
}

.highlight_bleu_ciel{
    background: linear-gradient(
    transparent 60%,
   rgb(13, 202, 240,0.4) 60%
  );;
;
  font-weight: 600;
}

.highlight_rouge {

  background: linear-gradient(
    transparent 60%,
   rgb(255, 0, 0) 60%
  );;
;
  font-weight: 600;
}


/*reveals - scroll*/

.reveal {
  opacity: 0;
  transform: translateY(40px);
  transition: opacity 0.8s ease, transform 1s ease;
}

.reveal.active {
  opacity: 1;
  transform: translateY(0);
}


/*======*/
/*header*/
/*======*/


header {
  min-height: 70px;
  height: auto;
  padding: 10px 0;
  width: 100%;
  overflow-y: hidden;
  box-sizing: border-box;
  background-color: black;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='4' height='4' viewBox='0 0 4 4'%3E%3Cpath fill='%23b7b7b7' fill-opacity='0.06' d='M1 3h1v1H1V3zm2-2h1v1H3V1z'%3E%3C/path%3E%3C/svg%3E");
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom:4px solid rgb(156, 139, 139);
}

header h1 {
  color: var(--color-principal);
  padding: 1vw;
  border-bottom: 2px solid transparent;
}

header ul {
  display: flex;
  justify-content: space-between;
  flex-direction: row;
  flex-wrap: wrap;
}

.nav-link {
  color: var(--color-principal);
  padding-left: 1vw;
  padding-right: 1vw;
  padding-bottom: 0.5vw;
  margin-bottom: 1vw;
  border-bottom: 2px solid transparent;

  transition: border-color 0.3s ease;
}

.nav-link:hover,
.nav-link:focus,
.nav-link.active {
  border-bottom: 2px solid var(--color-principal);
}

/*======*/
/*header_mobile*/
/*======*/

.modal-mobile{
    background-color: white;
    z-index: 998;
    height: 100vh;
    width: 100vw;
    position: fixed;
    left: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
   pointer-events: none;
    top: -100vh;
    transition: 0.9s;
    
}
.change-modal-mobile{
    top: 0vh;
    position: fixed;
    transition: 0.9s;
     pointer-events: auto;
  
    
}



.modal-navbar{
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: space-evenly;
    

}

.modal-navbar li{
    list-style: none;
    
}

.modal-navbar li a {

    text-decoration: none;
    color: black;
    font-size: 1.5rem;
    border-bottom:  solid 2px white;

}

.modal-navbar li a:hover {
   border-bottom: solid 2px red;
}

.icon-menu{
    background-color: white;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    display: none;
    justify-content: center;
    align-items: center;
    box-sizing: content-box;
    position: fixed;
   top : 2rem;
    left : 2rem;
    z-index: 999;
    isolation: isolate;
   
    
}
.icon-menu :hover{
    cursor: pointer;

}

.icon-menu i {
    font-size: 2rem;
}
   
.fa-bars{
   color: black;
} 


.rotate{
    transform: rotate(90deg);
}




/*======*/
/*intro*/
/*======*/

.intro {

  background-color: #f8f9fa;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='4' height='4' viewBox='0 0 4 4'%3E%3Cpath fill='%23b7b7b7' fill-opacity='0.06' d='M1 3h1v1H1V3zm2-2h1v1H3V1z'%3E%3C/path%3E%3C/svg%3E");
}

.intro1 {
  margin-top: 15vh;
  width: 90vw;
  min-height: 80vh;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-evenly;
}

.container_intro_title {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  align-items: center;
}

.titre_intro1{
  font-size: 3rem;
}

.reveals_titre_intro1 {
  opacity: 0;
  transform: translateY(40px);
  transition: opacity 0.8s ease, transform 1s ease;
}

.reveals_titre_intro1.active {
  opacity: 1;
  transform: translateY(0);
}



.intro_point {
  font-size: 6rem;
  color: rgb(228, 49, 4);
}

.intro_liste {
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
}

.intro_liste li {
  margin-top: 3vh;
  margin-bottom: 3vh;
}

.intro_liste li a h1 {
  position: relative;
}

.intro_liste li a .vert::after {
  content: "";
  position: absolute;
  right: 0;
  bottom: -1px;
  width: 0;
  height: 2px;
  background-color: #00d084;
  transition: 0.6s width;
}

.intro_liste li a .bleu::after {
  content: "";
  position: absolute;
  right: 0;
  bottom: -1px;
  width: 0;
  height: 2px;
  background-color: #0693e3;
  transition: 0.6s width;
}

.intro_liste li a .orange::after {
  content: "";
  position: absolute;
  right: 0;
  bottom: -1px;
  width: 0;
  height: 2px;
  background-color: #ff6900;
  transition: 0.6s width;
}

.intro_liste li a .mauve::after {
  content: "";
  position: absolute;
  right: 0;
  bottom: -1px;
  width: 0;
  height: 2px;
  background-color: #9b51e0;
  transition: 0.6s width;
}

.intro_liste li a .bleu_ciel::after {
  content: "";
  position: absolute;
  right: 0;
  bottom: -1px;
  width: 0;
  height: 2px;
  background-color: #0dcaf0;
  transition: 0.6s width;
}
.intro_liste li a h1:hover:after {
  width: 100%;
  left: 0;
}




/*======*/
/*intro 2*/
/*======*/

.intro_2{
   background-color: #f8f9fa;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='4' height='4' viewBox='0 0 4 4'%3E%3Cpath fill='%23b7b7b7' fill-opacity='0.06' d='M1 3h1v1H1V3zm2-2h1v1H3V1z'%3E%3C/path%3E%3C/svg%3E");
}

.container_intro2{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-bottom: 6rem;

}

.paragraphe_intro2{
  margin-top: 15vh;
  width: 80%;
  font-size: 24px;

}

/*======*/
/*data*/
/*======*/

.intro_3{
  background-color: #00d084;
}

.intro_3_data{
  color: var(--color-principal);
  font-size: 6rem;
  margin-top: 3vh;
  margin-left: 5vw;
}



.container_data_paragraphe{
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.paragraphe_data{
  color:var(--color-principal);
}

/*compteurs*/

.stats {
  display: flex;
  justify-content: space-evenly;
  gap: 4rem;
  padding: 5rem 2rem;

}

.stat {
  text-align: center;
}

.counter {
  font-size: 3rem;
  font-weight: 700;
  color: var(--color-principal);
  display: block;
}

.stat p {
  margin-top: 0.5rem;
  font-size: 1.1rem;
  color: var(--color-principal);
}

/* favicons */

.data_technos{
  margin-top: 2rem;
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
  margin-bottom: 2rem;
  min-height: 30vh;

}

.fa_data{
  margin-top: 3rem;
  color: var(--color-principal);
  font-size: 3rem;
}


/*============*/
/*Automatisation*/
/*============*/

.automatisation_section{
  background-color: #0693e3;
  min-height: 110vh;
}

.paragraphe_automatisation{
  color: var(--color-principal);
}


.container_automatisation_paragraphe{
  width: 100%;
  flex-direction: column;
  display: flex;
  align-items: center;
  justify-content: center;
}

.automatisation_animation{
  margin-top: 6rem;
  margin-bottom: 6rem;
  width: 70%;
  min-height: 20vh;
   display: flex;
  align-items: center;
  justify-content: center;
}

.automatisation_animation{
  
  --s: 5rem; /* control the size */
  --c1:var(--color-principal);
  --c2:#0693e3;
  
  --_s: calc(2*var(--s)) calc(2*var(--s));
  --_g: var(--_s) conic-gradient(at 40% 40%,#0000 75%,var(--c1) 0);
  --_p: var(--_s) conic-gradient(at 20% 20%,#0000 75%,var(--c2) 0);
  background:
    calc( .9*var(--s)) calc( .9*var(--s))/var(--_p),
    calc(-.1*var(--s)) calc(-.1*var(--s))/var(--_p),
    calc( .7*var(--s)) calc( .7*var(--s))/var(--_g),
    calc(-.3*var(--s)) calc(-.3*var(--s))/var(--_g),
    conic-gradient(from 90deg at 20% 20%,var(--c2) 25%,var(--c1) 0) 
     0 0/var(--s) var(--s);
  animation: m 3s infinite;
}
@keyframes m {
  0% {
   background-position: 
    calc( .9*var(--s)) calc( .9*var(--s)),
    calc(-.1*var(--s)) calc(-.1*var(--s)),
    calc( .7*var(--s)) calc( .7*var(--s)),
    calc(-.3*var(--s)) calc(-.3*var(--s)),0 0
  }
  25% {
   background-position: 
    calc(1.9*var(--s)) calc( .9*var(--s)),
    calc(-1.1*var(--s)) calc(-.1*var(--s)),
    calc(1.7*var(--s)) calc( .7*var(--s)),
    calc(-1.3*var(--s)) calc(-.3*var(--s)),0 0
  }
  50% {
   background-position: 
    calc(1.9*var(--s)) calc(-.1*var(--s)),
    calc(-1.1*var(--s)) calc( .9*var(--s)),
    calc(1.7*var(--s)) calc(-.3*var(--s)),
    calc(-1.3*var(--s)) calc( .7*var(--s)),0 0
  }
  75% {
   background-position: 
    calc(2.9*var(--s)) calc(-.1*var(--s)),
    calc(-2.1*var(--s)) calc( .9*var(--s)),
    calc(2.7*var(--s)) calc(-.3*var(--s)),
    calc(-2.3*var(--s)) calc( .7*var(--s)),0 0
  }
  100% {
   background-position: 
    calc(2.9*var(--s)) calc(-1.1*var(--s)),
    calc(-2.1*var(--s)) calc(1.9*var(--s)),
    calc(2.7*var(--s)) calc(-1.3*var(--s)),
    calc(-2.3*var(--s)) calc(1.7*var(--s)),0 0
  }

}

/*============*/
/*Agents IA*/
/*============*/

.ia_section{
  background-color:#fcb900;
  min-height: 110vh;
}

.titre_ia{
  color: black;
}
.container_ia_paragraphe{
  width: 100%;
  flex-direction: column;
  display: flex;
  align-items: center;
  justify-content: center;
}

.fa_ia{
  margin-top: 6rem;
  margin-bottom: 6rem;
font-size: 6rem;
color: black;
}


/*============*/
/*Web*/
/*============*/

.titre_web{
  color:black;
}


.web_point {
  font-size: 6rem;
  color:#9b51e0
}

.container_web_paragraphe{
   width: 100%;
  flex-direction: column;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 6rem;

}

/*============*/
/*Power plateforme*/
/*============*/

.power_section{
  background-color: #0dcaf0;
}

.titre_power{
  color:white;
}

.paragraphe_power{
  color : white
}
.container_power_paragraphe{
   width: 100%;
  flex-direction: column;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 6rem;

}

/*======*/
/*  Contacts  */
/*======*/


.contact_section{
  background-color: var(--color-principal);
}

.titre_contact{
  color: black;
}

.container_contact_paragraphe{
width: 100%;
  flex-direction: column;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 6rem;

}


/*======*/
/*  Footer */
/*======*/

footer{
  min-height: 20vh;
  width: 100%;
  background-color: black;
  color: var(--color-principal);
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  padding:2rem
}

.footer_container_1{
  color: var(--color-principal);
}

.footer_container_2{
  color: var(--color-principal);
}

.footer_container_2 a h2{
  color: var(--color-principal);
}


/*======*/
/*  media queries  */
/*======*/

@media (max-width: 767px) {
  body {
    font-size: 16px;
  }

  header{
    display: none;
  }

  .icon-menu{
    display: flex;
  }

  .title_section{
  
  font-size: 2rem;

}

.paragraphe{
  font-size: 1.4rem;
  margin-top: 5vh;
}


  

  /* intro */
 
  .intro1 {
    flex-direction: column;
    align-items: flex-start;
    align-items: center;
    width: 80%;
    
  }

.titre_intro1 {
  font-size: 1.5rem;
  margin-bottom: 5vh;
  margin-top:3rem;
  margin-left: 3rem;
  
}

.intro_liste li a h1{
  font-size: 1.2rem;
 
}


/* data */

.stats , .data_technos{
  flex-direction: column;
}

.data_technos{
  align-items: center;
  justify-content: space-between;
  
}

.fa_data{
  margin-top: 3rem;
  margin-bottom: 3rem;
}


/*contacts*/

.contact_section{
  display: none;
  width: 100%;
}
.container_contact{
  width: 100%;
  margin-left: 0rem;
  display: flex;
  flex-direction: column;
  align-items: center;


}

.container_contact_paragraphe{
  margin-left: 0rem
}

.h2_contact{
  margin-left: 0rem;
}

/*footer*/

footer{
 flex-direction: column;
 align-items: flex-start;
}

.footer_container_2{
  margin-top: 2rem;
  margin-bottom: 2rem;
}
}